# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class GeneralPiaoJuRequest(JDCloudRequest):
    """
    通用票据OCR识别及查验
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(GeneralPiaoJuRequest, self).__init__(
            '/ocr:GeneralPiaoJu', 'POST', header, version)
        self.parameters = parameters


class GeneralPiaoJuParameters(object):

    def __init__(self,image_base64, ):
        """
        :param image_base64: base64格式图片数据
        """

        self.image_base64 = image_base64
        self.do_query = None
        self.crop_image = None
        self.want_image = None

    def setDo_query(self, do_query):
        """
        :param do_query: (Optional) 是否对增值税发票进行验证，0或不传:不验证，1:验证）
        """
        self.do_query = do_query

    def setCrop_image(self, crop_image):
        """
        :param crop_image: (Optional) 是否切小图0:不切小图(默认)1:切小图
        """
        self.crop_image = crop_image

    def setWant_image(self, want_image):
        """
        :param want_image: (Optional) 是否需要合成验证成功后的发票图片，值为1则返回图片的base64编码，0或不传则不进行图片合成
        """
        self.want_image = want_image

