# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class VerifyInvoiceRequest(JDCloudRequest):
    """
    手动发票查验
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(VerifyInvoiceRequest, self).__init__(
            '/ocr:VerifyInvoice', 'POST', header, version)
        self.parameters = parameters


class VerifyInvoiceParameters(object):

    def __init__(self,invoice_type, invoice_no, create_date, ):
        """
        :param invoice_type: 发票类型
        :param invoice_no: 发票号码
        :param create_date: 开票日期
        """

        self.invoice_type = invoice_type
        self.invoice_no = invoice_no
        self.create_date = create_date
        self.total = None
        self.want_image = None

    def setTotal(self, total):
        """
        :param total: (Optional) 开具金额（不含税）
        """
        self.total = total

    def setWant_image(self, want_image):
        """
        :param want_image: (Optional) 是否需要合成验证成功后的发票图片，值为1则返回图片的base64编码，0或不传则不进行图片合成
        """
        self.want_image = want_image

